Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#37363 - upower hibernate and suspend disappear

Attached to Project: Arch Linux
Opened by Charles Bos (Chazza) - Wednesday, 16 October 2013, 19:20 GMT
Last edited by Jan de Groot (JGC) - Wednesday, 16 October 2013, 21:13 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture x86_64
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
I'm using mate 1.6.1 on arch linux with kernel 3.11.5
The recent update from upower 9.20-2 to 9.22-1 caused the hinernate and suspend options to disappear from the shutdown dialogue. I was unable to suspend my laptop by closing the lid. Upon opening the lid mate would give me a message saying that it wasn't able to suspend my computer. I was however able to suspend from lightdm and from the terminal. Downgrading upower 9.22-1 back to 9.20-2 restored the hibernate and suspend options in my shutdown dialogue and the ability to suspend by closing my laptop lid.


Additional info:
* package version(s) upower 9.22-1


Steps to reproduce:
Upgrade upower to 9.22-1, reboot and then start shutdown dialogue by choosing shutdown from the system menu in mate 1.6.1

I have filed an identical upstream here:
https://bugs.freedesktop.org/show_bug.cgi?id=70545
This task depends upon

Closed by  Jan de Groot (JGC)
Wednesday, 16 October 2013, 21:13 GMT
Reason for closing:  Not a bug
Additional comments about closing:  mate should get ported to the systemd interfaces instead of using deprecated upower functions.
Comment by Jan de Groot (JGC) - Wednesday, 16 October 2013, 21:12 GMT
Hibernate and suspend is no longer the task of upower anymore, systemd controls this. We removed the deprecated interfaces from 0.9.21 and 0.9.22 and ported every application in our repositories to use the systemd interfaces. You should file this upstream at mate, it's not a bug in upower.

Loading...